CPAN::Testers::Fact::InstalledModules(3)

NAME
CPAN::Testers::Fact::InstalledModules - Versions of particular modules installed on a system

VERSION
version 1.999003

SYNOPSIS
  my $fact = CPAN::Testers::Fact::InstalledModules->new({
    resource => 'cpan:///distfile/RJBS/CPAN-Metabase-Fact-0.001.tar.gz',
    content     => {
      prereqs => {
        'Test::More' => '0.80',
      },
      toolchain => {
        'CPAN' => '1.92',
      },
    },
  });

DESCRIPTION
Versions detected of modules installed on a system. There are three valid types: prereqs, toolchain, undeclared.

Prereqs are the versions of modules listed in any of the prerequisite fields.

Toolchain module versions are intended to reflect the state of the toolchain used to test the distribution (e.g. CPAN, Test::Harness, etc.).

Undeclared module versions capture the version of modules that were detected as being used by the distribution, but that were not listed explicitly as prerequisites. This will often be core modules or submodules, but could include missing dependencies.

USAGE
See Metabase::Fact.

BUGS
Please report any bugs or feature using the CPAN Request Tracker. Bugs can be submitted through the web interface at http://rt.cpan.org/Dist/Display.html?Queue=CPAN-Testers-Report <http://rt.cpan.org/Dist/Display.html?Queue=CPAN-Testers-Report>

When submitting a bug or request, please include a test-file or a patch to an existing test-file that illustrates the bug or desired feature.

AUTHOR
David Golden <dagolden@cpan.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2015 by David Golden.

This is free software, licensed under:

  The Apache License, Version 2.0, January 2004